MPD: config/ConfigOption.hxx File Reference

MPD 0.20.15

Enumerations | Functions
ConfigOption.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for ConfigOption.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | ConfigOption { ConfigOption::MUSIC_DIR, ConfigOption::PLAYLIST_DIR, ConfigOption::FOLLOW_INSIDE_SYMLINKS, ConfigOption::FOLLOW_OUTSIDE_SYMLINKS, ConfigOption::DB_FILE, ConfigOption::STICKER_FILE, ConfigOption::LOG_FILE, ConfigOption::PID_FILE, ConfigOption::STATE_FILE, ConfigOption::STATE_FILE_INTERVAL, ConfigOption::RESTORE_PAUSED, ConfigOption::USER, ConfigOption::GROUP, ConfigOption::BIND_TO_ADDRESS, ConfigOption::PORT, ConfigOption::LOG_LEVEL, ConfigOption::ZEROCONF_NAME, ConfigOption::ZEROCONF_ENABLED, ConfigOption::PASSWORD, ConfigOption::DEFAULT_PERMS, ConfigOption::AUDIO_OUTPUT_FORMAT, ConfigOption::MIXER_TYPE, ConfigOption::REPLAYGAIN, ConfigOption::REPLAYGAIN_PREAMP, ConfigOption::REPLAYGAIN_MISSING_PREAMP, ConfigOption::REPLAYGAIN_LIMIT, ConfigOption::VOLUME_NORMALIZATION, ConfigOption::SAMPLERATE_CONVERTER, ConfigOption::AUDIO_BUFFER_SIZE, ConfigOption::BUFFER_BEFORE_PLAY, ConfigOption::HTTP_PROXY_HOST, ConfigOption::HTTP_PROXY_PORT, ConfigOption::HTTP_PROXY_USER, ConfigOption::HTTP_PROXY_PASSWORD, ConfigOption::CONN_TIMEOUT, ConfigOption::MAX_CONN, ConfigOption::MAX_PLAYLIST_LENGTH, ConfigOption::MAX_COMMAND_LIST_SIZE, ConfigOption::MAX_OUTPUT_BUFFER_SIZE, ConfigOption::FS_CHARSET, ConfigOption::ID3V1_ENCODING, ConfigOption::METADATA_TO_USE, ConfigOption::SAVE_ABSOLUTE_PATHS, ConfigOption::GAPLESS_MP3_PLAYBACK, ConfigOption::AUTO_UPDATE, ConfigOption::AUTO_UPDATE_DEPTH, ConfigOption::DESPOTIFY_USER, ConfigOption::DESPOTIFY_PASSWORD, ConfigOption::DESPOTIFY_HIGH_BITRATE, ConfigOption::MAX }
enum | ConfigBlockOption { ConfigBlockOption::AUDIO_OUTPUT, ConfigBlockOption::DECODER, ConfigBlockOption::INPUT, ConfigBlockOption::PLAYLIST_PLUGIN, ConfigBlockOption::RESAMPLER, ConfigBlockOption::AUDIO_FILTER, ConfigBlockOption::DATABASE, ConfigBlockOption::NEIGHBORS, ConfigBlockOption::MAX }

## Functions
gcc_pure enum ConfigOption | ParseConfigOptionName (const char *name) noexcept
gcc_pure enum ConfigBlockOption | ParseConfigBlockOptionName (const char *name) noexcept

## Enumeration Type Documentation

## ◆ ConfigBlockOption

enum ConfigBlockOption
| strong

Enumerator
AUDIO_OUTPUT |
DECODER |
INPUT |
PLAYLIST_PLUGIN |
RESAMPLER |
AUDIO_FILTER |
DATABASE |
NEIGHBORS |
MAX |

Definition at line 84 of file ConfigOption.hxx.

## ◆ ConfigOption

enum ConfigOption
| strong

Enumerator
MUSIC_DIR |
PLAYLIST_DIR |
FOLLOW_INSIDE_SYMLINKS |
FOLLOW_OUTSIDE_SYMLINKS |
DB_FILE |
STICKER_FILE |
LOG_FILE |
PID_FILE |
STATE_FILE |
STATE_FILE_INTERVAL |
RESTORE_PAUSED |
USER |
GROUP |
BIND_TO_ADDRESS |
PORT |
LOG_LEVEL |
ZEROCONF_NAME |
ZEROCONF_ENABLED |
PASSWORD |
DEFAULT_PERMS |
AUDIO_OUTPUT_FORMAT |
MIXER_TYPE |
REPLAYGAIN |
REPLAYGAIN_PREAMP |
REPLAYGAIN_MISSING_PREAMP |
REPLAYGAIN_LIMIT |
VOLUME_NORMALIZATION |
SAMPLERATE_CONVERTER |
AUDIO_BUFFER_SIZE |
BUFFER_BEFORE_PLAY |
HTTP_PROXY_HOST |
HTTP_PROXY_PORT |
HTTP_PROXY_USER |
HTTP_PROXY_PASSWORD |
CONN_TIMEOUT |
MAX_CONN |
MAX_PLAYLIST_LENGTH |
MAX_COMMAND_LIST_SIZE |
MAX_OUTPUT_BUFFER_SIZE |
FS_CHARSET |
ID3V1_ENCODING |
METADATA_TO_USE |
SAVE_ABSOLUTE_PATHS |
GAPLESS_MP3_PLAYBACK |
AUTO_UPDATE |
AUTO_UPDATE_DEPTH |
DESPOTIFY_USER |
DESPOTIFY_PASSWORD |
DESPOTIFY_HIGH_BITRATE |
MAX |

Definition at line 31 of file ConfigOption.hxx.

## Function Documentation

## ◆ ParseConfigBlockOptionName()

gcc_pure enum ConfigBlockOption ParseConfigBlockOptionName | ( | const char * | name | ) |
| noexcept

Returns
  ConfigOption::MAX if not found

## ◆ ParseConfigOptionName()

gcc_pure enum ConfigOption ParseConfigOptionName | ( | const char * | name | ) |
| noexcept

Returns
  ConfigOption::MAX if not found